Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 887914 (CVE-2012-5642) - CVE-2012-5642 fail2ban: does not escape the content of <matches>
Summary: CVE-2012-5642 fail2ban: does not escape the content of <matches>
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2012-5642
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 887915 887916
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 15:38 UTC by Vincent Danen
Modified: 2019-09-29 12:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:59:45 UTC


Attachments (Terms of Use)

Description Vincent Danen 2012-12-17 15:38:33 UTC
The release notes for fail2ban 0.8.8 [1],[2] indicate:

   * [83109bc] IMPORTANT: escape the content of <matches> (if used in
     custom action files) since its value could contain arbitrary
     symbols.  Thanks for discovery go to the NBS System security
     team

This could cause issues on the system running fail2ban as it scans log files, depending on what content is matched.  There isn't much more detail about this issue than what is described above, so I think it may largely depend on the type of regexp used (what it matches) and the contents of the log file being scanned (whether or not an attacher could insert something that could be used in a malicious way).

The upstream git commit [3].

[1] https://raw.github.com/fail2ban/fail2ban/master/ChangeLog
[2] http://sourceforge.net/mailarchive/message.php?msg_id=30193056
[3] https://github.com/fail2ban/fail2ban/commit/83109bc

Comment 1 Vincent Danen 2012-12-17 15:42:34 UTC
Created fail2ban tracking bugs for this issue

Affects: fedora-all [bug 887915]
Affects: epel-all [bug 887916]

Comment 2 Vincent Danen 2012-12-17 19:11:09 UTC
This was assigned CVE-2012-5642:

http://www.openwall.com/lists/oss-security/2012/12/17/2

Comment 3 Fedora Update System 2012-12-28 03:50:50 UTC
fail2ban-0.8.8-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-01-02 19:09:36 UTC
fail2ban-0.8.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-01-12 00:24:50 UTC
fail2ban-0.8.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-10 10:59:45 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.